[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ConstrainedResize

Signals the OnConstrainedResize handler.

## Declaration

Source position: controls.pp line 1375

`protected procedure TControl.ConstrainedResize(`
`var MinWidth: TConstraintSize;`
`var MinHeight: TConstraintSize;`
`var MaxWidth: TConstraintSize;`
`var MaxHeight: TConstraintSize`
`); virtual;`

## Arguments

`MinWidth` |  | Variable argument with the minimum width for the control.
`MinHeight` |  | Variable argument with the minimum height for the control.
`MaxWidth` |  | Variable argument with the maximum width for the control.
`MaxHeight` |  | Variable argument with the maximum height for the control.

## Description

ConstrainedResize is a method used to signal the OnConstrainedResize event handler (when assigned) for the control.

It is called from the DoConstrainedResize method, and occurs after values from Constraints have been normalized to the constraints from the LCL interface. The normalized values are stored in the MinWidth, MinHeight, MaxWidth, and MaxHeight arguments and passed to the OnConstrainedResize event handler.

## See also

TControl.OnConstrainedResize |  | This handler can supply specific Constraints (size limits), when the control is resized.
TControl.Constraints |  | Contains the minimum and maximum Width and Height for the control.